Bug 961136 - [abrt] system-config-services-0.101.8-1.fc18: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.1 was not provided by any .service files
[abrt] system-config-services-0.101.8-1.fc18: connection.py:651:call_blocking...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:6c325ef34753cbbc85dd06579e1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 17:45 EDT by Volodymyr Shcherbyna
Modified: 2014-02-05 16:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:17:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.61 KB, text/plain)
2013-05-08 17:45 EDT, Volodymyr Shcherbyna
no flags Details
File: core_backtrace (653 bytes, text/plain)
2013-05-08 17:45 EDT, Volodymyr Shcherbyna
no flags Details
File: dso_list (68 bytes, text/plain)
2013-05-08 17:45 EDT, Volodymyr Shcherbyna
no flags Details
File: environ (1.60 KB, text/plain)
2013-05-08 17:45 EDT, Volodymyr Shcherbyna
no flags Details

  None (edit)
Description Volodymyr Shcherbyna 2013-05-08 17:45:45 EDT
Description of problem:
I searched in KDE "Search" for Services program and run it. It just crashed.

Version-Release number of selected component:
system-config-services-0.101.8-1.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/system-config-services
executable:     /usr/bin/system-config-services
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.1 was not provided by any .service files

Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 671, in on_service_selected
    GUIServicesDetailsPainter(self, service).paint_details()
  File "/usr/bin/system-config-services", line 355, in paint_details
    self.service.ActiveState, self.service.SubState)
  File "/usr/lib/python2.7/site-packages/scservices/core/systemd/unit.py", line 167, in ActiveState
    'ActiveState')
  File "/usr/lib/python2.7/site-packages/slip/dbus/proxies.py", line 50, in __call__
    return dbus.proxies._ProxyMethod.__call__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name :1.1 was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x1577890>
args: ('org.freedesktop.systemd1.Unit', 'ActiveState')
object_path: dbus.ObjectPath('/org/freedesktop/systemd1/unit/abrt_2dccpp_2eservice')
signature: u'ss'
bus_name: dbus.UTF8String(':1.1')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: 2147483.647
kwargs: {}
dbus_interface: 'org.freedesktop.DBus.Properties'
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/systemd1/unit/abrt_2dccpp_2eservice, iface: org.freedesktop.DBus.Properties, member: Get dest: :1.1>
method: 'Get'
Comment 1 Volodymyr Shcherbyna 2013-05-08 17:45:47 EDT
Created attachment 745459 [details]
File: backtrace
Comment 2 Volodymyr Shcherbyna 2013-05-08 17:45:50 EDT
Created attachment 745460 [details]
File: core_backtrace
Comment 3 Volodymyr Shcherbyna 2013-05-08 17:45:52 EDT
Created attachment 745461 [details]
File: dso_list
Comment 4 Volodymyr Shcherbyna 2013-05-08 17:45:54 EDT
Created attachment 745462 [details]
File: environ
Comment 5 Fedora End Of Life 2013-12-21 08:27:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:17:19 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.